Name: cockpit-session-recording
Version: 17
Release: 1%{?dist}
Summary: Cockpit Session Recording
License: LGPL-2.1-or-later
URL:     https://github.com/Scribery/%{name}
Source:  https://github.com/Scribery/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildArch: noarch
BuildRequires: nodejs
BuildRequires: make
BuildRequires: libappstream-glib
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: cockpit-system
Requires: tlog
Requires: sssd-proxy

Provides: bundled(npm(@babel/runtime)) = 7.23.9
Provides: bundled(npm(@patternfly/patternfly)) = 5.2.0
Provides: bundled(npm(@patternfly/react-core)) = 5.2.0
Provides: bundled(npm(@patternfly/react-icons)) = 5.2.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.2.0
Provides: bundled(npm(@patternfly/react-table)) = 5.2.0
Provides: bundled(npm(@patternfly/react-tokens)) = 5.2.0
Provides: bundled(npm(array-timsort)) = 1.0.3
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(base64-js)) = 1.5.1
Provides: bundled(npm(buffer)) = 6.0.3
Provides: bundled(npm(comment-json)) = 4.2.3
Provides: bundled(npm(core-util-is)) = 1.0.3
Provides: bundled(npm(date-fns)) = 2.30.0
Provides: bundled(npm(esprima)) = 4.0.1
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(has-own-prop)) = 2.0.0
Provides: bundled(npm(ieee754)) = 1.2.1
Provides: bundled(npm(ini)) = 4.1.1
Provides: bundled(npm(jquery)) = 3.7.1
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(regenerator-runtime)) = 0.14.1
Provides: bundled(npm(repeat-string)) = 1.6.1
Provides: bundled(npm(scheduler)) = 0.23.0
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.2
Provides: bundled(npm(xterm-addon-canvas)) = 0.4.0
Provides: bundled(npm(xterm)) = 5.1.0

%description
Cockpit module providing session recording configuration and playback.
This module allows viewing and playback of journal-stored terminal session
recordings generated by the tlog component.

%prep
%setup -q -n %{name}

%build
LINT=0 NODE_ENV=production make

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Fri Nov 8 2024 Justin Stephenson <jstephen@redhat.com> - 17-1
- Rebase to upstream release 17
- Config: Use authselect enable-feature when possible
- Test: Move from CDP to BiDi
- Replace jQuery extend() with standard JS spread
- Convert to TypeScript
- Convert Application to a functional component
- package.json: Drop date-fns
- Various test fixes and build related fixes

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 16-4
- Bump release for October 2024 mass rebuild:
  Resolves: RHEL-64018

* Mon Jul 01 2024 Justin Stephenson <jstephen@redhat.com> - 16-3
- Bump release to validate gating

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 16-2
- Bump release for June 2024 mass rebuild

* Tue Feb 6 2024 Packit <hello@packit.dev> - 16-1
- Config: Add sssd-proxy requirement

* Thu Feb 1 2024 Packit <hello@packit.dev> - 15-1
- Config: Update to authselect with-tlog feature
- stylelint: handle stylelint-scss deprecation
- Add ruff configuration
- package.json: drop flowtype plugin
- package.json: drop po2json
- package.json: document the required nodejs version
- fmf: Plumb through $TEST_* variables for unexpected messages
- tests: Use mc for testPlayBinary
- package.json: drop deprecated eslint-plugin-standard
- Revert "build: add support for /pybridge scenario"
- Player: Stop making the Terminal object state
- build.js: support flags
- packaging: Update spec License: to SPDX format
- build.js: Fix LINT env variable check
- Tests: Allow charset journal messages
- Update to the new root creation function
- package.json: Bump stylelint to 15
- test: add check for sssd config id_provider proxy
- Tests: Allow invalid non-UTF8 journal messages
- Add xterm-canvas-addon dependency for rendering
- Minor Eslint fixes
- Tests: Update data list to PF5 for testAppMenu
- Update org.cockpit-project.session-recording.metainfo.xml
- Makefile: bump our test/common dependency
- patternfly-5-overrides should be auto-imported by the page.scss file
- Drop obsolete pf-m-redhat-font class

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 17 2023 Packit <hello@packit.dev> - 14-1
- Upgrade to PatternFly 5 Alpha
- Makefile: Update Cockpit lib to da5abbb4245b0455cc8b610efe01e684
- package.json: Pin down versions of @patternfly/react-{styles,icons}
- Makefile: Update Cockpit lib to 947f1753867e3924b9617aaace936225
- Makefile: Fix watch dependencies
- Update release.yml
- Automate the release process

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 23 2022 Justin Stephenson <jstephen@redhat.com> - 12-1
- Drop moment.js dependency
- Tests: Assert pause state with a later command in rec1
- CI: Update image to ubuntu 20.04

* Mon Apr 18 2022 Justin Stephenson <jstephen@redhat.com> - 11.1
- Enable SSSD files domain unconditionally

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 17 2021 Justin Stephenson <jstephen@redhat.com> - 11-1
- Avoid crash in unmount if journal is null
- Sync Makefile closer to starter-kit
- Use current babel/eslint integration
- Use Flex layout for spacing the two config cards in the config page
- Use Page/PageSection/Breadcrumb patternfly components
- Move to xz dist tarballs
- Remove unused slider.html file
- package.json: explicitely depend on @patternfly/react-icons
- webpack: Use relative resolve path for npm 7 compatibility
- package.json: update patternfly packages
- package.json: use sass instead of node-sass
- Fetch pkg/lib automatically from cockpit instead of keeping a local copy
- Update Docker image and TEST_OS run to Fedora 35
- Tests: Test SSSD exclude_users and exclude_groups
- Config: Add SSSD exclude_users and exclude_groups
- TESTS: Fix testSessionRecordingConf cleanup issue
- TESTS: Restart SSSD after restoring config

* Wed Jul 21 2021 Justin Stephenson <jstephen@redhat.com> - 9-1
- Release v9
- Tests: Fix RHEL9 filter test timing failures

* Wed Jul 14 2021 Justin Stephenson <jstephen@redhat.com> - 8-1
- Release v8
- Throttle journalctl restarts
- Minor CI fixes

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 2021 Justin Stephenson <jstephen@redhat.com> - 7-1
- Release v7
- Remove bots sudo rm from Makefile
- Use journalctl --utc for Logs view to handle DST
- Add Applications Menu test
- Install cockpit-packagekit in local VM
- Set timezone for Logs Correlation test

* Mon Oct 12 2020 Justin Stephenson <jstephen@redhat.com> - 6-1
- Release v6
- Bump testlib to 229
- Add binary recording test

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed May 20 2020 Justin Stephenson <jstephen@redhat.com> - 4-1
- Release v4
- Update parent id in metainfo file
- Update package manifest
- Fix rpmmacro to resolve correc    t path on CentOS7
- Handle byte-array encoded journal data
- Don't clobber cockpit bots directory
- Move code out of deprecated React lifecycle functions

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 25 2019 Justin Stephenson <jstephen@redhat.com> - 3-1
- Release v3
- Reset Logs View on Player Rewind
- Configuration page UI CSS Improvements

* Wed Sep 11 2019 Justin Stephenson <jstephen@redhat.com> - 2-1
- Release 2
- Optimize performance when playing back flooded output recordings.
- Make Logs View optional rendered with a toggle button.
- Make Logs component a child of Recording component.
- Fix Recording page column sorting in Google Chrome.
- CSS updates for Patternfly 4 compatibility.
- Replace term.js with maintained xterm.js library.
- Fix hostname and username filtering.

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 4 2019 Kirill Glebov <kgliebov@redhat.com> - 1-1
- Release 1
- First release. Includes logs correlation, player controls, journal remote support.
